Subject: bug#54423: 29.0.50; gnus-fetch-original-field returns nil in digest

From: Sam Steingold <[email-masked]>
Date: Thu, 17 Mar 2022 11:29:36 -0400

I added bbdb-user to CC.

For context (see https://debbugs.gnu.org/cgi/bugreport.cgi?bug=54423 for
full details), the problem is that `bbdb-message-header' calls
`gnus-fetch-original-field' which, for a digest group, returns nil.
This prevents `bbdb-accept-message-alist' from working for, e.g.,

--8<---------------cut here---------------start------------->8---
(("Newsgroups" . "\\(gmane\\.emacs\\|gmane\\.comp\\.security\\.risks\\)"))
--8<---------------cut here---------------end--------------->8---

because every message in gmane.comp.security.risks is a digest.

> * Lars Ingebrigtsen <[email-masked]> [2022-03-17 11:59:43 +0100]:
>
> Sam Steingold <[email-masked]> writes:
>
>> In the group gmane.comp.security.risks on server nntp:news.gmane.io open
>> an article and type C-d (gnus-summary-enter-digest-group).
>> Then enter a message from the summary buffer (e.g., SPC)
>> and now (gnus-fetch-original-field "Newsgroups") returns nil instead of
>> "gmane.comp.security.risks" as it should.
>> The variable gnus-original-article-buffer evaluates to
>> " *Original Article gmane.comp.security.risks*"
>> and that buffer starts like this:
>
> I think there's a misunderstanding here -- the "original" that the
> function is fetching is the unformatted "original" version of the thing
> that's displayed in the *Article* buffer.  It has nothing to do with how
> the article was sourced (which was via a digest in this case).
>
> So this is working as designed.

Okay, so how do I extract "Newsgroups" or "Content-Type" for a message
in a digest?

Thank you Lars.

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.2113
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
https://mideasttruth.com https://jij.org https://honestreporting.com
I may be getting older, but I refuse to grow up!